package com.sun.org.apache.xerces.internal.util;

import org.w3c.dom.Node;
import com.sun.org.apache.xerces.internal.xni.parser.XMLInputSource;

public final class DOMInputSource extends XMLInputSource
{
    private Node fNode;
    
    public DOMInputSource() {
        this(null);
    }
    
    public DOMInputSource(Node node) {
        super(null, getSystemIdFromNode(node), null);
        this.fNode = node;
    }
    
    public DOMInputSource(Node node, String systemId) {
        super(null, systemId, null);
        this.fNode = node;
    }
    
    public Node getNode() {
        return this.fNode;
    }
    
    public void setNode(Node node) {
        this.fNode = node;
    }
    
    private static String getSystemIdFromNode(Node node) {
        if (node != null) {
            try {
                return node.getBaseURI();
            }
            catch (NoSuchMethodError e) {
                return null;
            }
            catch (Exception e2) {
                return null;
            }
        }
        else {
            return null;
        }
    }
}
